libzypp: zypp::kvmap::KVMapPolicy Struct Reference

libzypp 17.38.6

zypp::kvmap::KVMapPolicy Struct Reference

KVMapPolicy for conversion of KVMaps to/from string. More...

`#include <zypp-core/kvmap.h>`

Inheritance diagram for zypp::kvmap::KVMapPolicy:

## Public Member Functions
| KVMapPolicy (std::string kvsplit_r, std::string fsplit_r)
| KVMapPolicy (std::string kvsplit_r, std::string fsplit_r, std::string kvjoin_r)
| KVMapPolicy (std::string kvsplit_r, std::string fsplit_r, std::string kvjoin_r, std::string fjoin_r)

## Public Attributes
std::string | _kvsplit
std::string | _fsplit
std::string | _kvjoin
std::string | _fjoin

## Detailed Description

KVMapPolicy for conversion of KVMaps to/from string.

_kvsplit: The string separating key from value

_fsplit: (key,value) pairs are separated by any nonempty sequence of characers occurring in _fsplit

_kvjoin: The string used to join key and value.

_fjoin: The string used to separate (key,value) pairs.

TODO: Maybe options for exact _fsplit handling and timming of values.

Definition at line 49 of file kvmap.h.

## Constructor & Destructor Documentation

## ◆ KVMapPolicy() [1/3]

zypp::kvmap::KVMapPolicy::KVMapPolicy | ( | std::string | kvsplit_r,
|  | std::string | fsplit_r )
| inline

Definition at line 54 of file kvmap.h.

## ◆ KVMapPolicy() [2/3]

zypp::kvmap::KVMapPolicy::KVMapPolicy | ( | std::string | kvsplit_r,
|  | std::string | fsplit_r,
|  | std::string | kvjoin_r )
| inline

Definition at line 60 of file kvmap.h.

## ◆ KVMapPolicy() [3/3]

zypp::kvmap::KVMapPolicy::KVMapPolicy | ( | std::string | kvsplit_r,
|  | std::string | fsplit_r,
|  | std::string | kvjoin_r,
|  | std::string | fjoin_r )
| inline

Definition at line 67 of file kvmap.h.

## Member Data Documentation

## ◆ _kvsplit

std::string zypp::kvmap::KVMapPolicy::_kvsplit

Definition at line 50 of file kvmap.h.

## ◆ _fsplit

std::string zypp::kvmap::KVMapPolicy::_fsplit

Definition at line 51 of file kvmap.h.

## ◆ _kvjoin

std::string zypp::kvmap::KVMapPolicy::_kvjoin

Definition at line 52 of file kvmap.h.

## ◆ _fjoin

std::string zypp::kvmap::KVMapPolicy::_fjoin

Definition at line 53 of file kvmap.h.

The documentation for this struct was generated from the following file:

- zypp-core/kvmap.h